﻿
using System;
using System.Reflection;
using System.Threading.Tasks;
using Syncfusion.SfImageEditor.XForms;
using Xamarin.Forms;

namespace IESample
{
   public partial class ImageEditorGettingStarted : ContentPage
    {
        public ImageEditorGettingStarted()
        {
            InitializeComponent();
            editor.ToolbarSettings.ToolbarItems.Add(
                new HeaderToolbarItem
                {
                    Name = "CustomFlip",
                    Text = "Flip",
                });

            editor.ToolbarSettings.ToolbarItems.Add(
                new HeaderToolbarItem
                {
                    Name = "CustomRotate",
                    Text = "Rotate",
                });
            editor.ToolbarSettings.ToolbarItemSelected += ToolbarSettings_ToolbarItemSelected;
        }

        protected override void OnAppearing()
        {
            base.OnAppearing();
            editor.SetToolbarItemVisibility("undo, redo,  text,path,  Shape, Transform, effects", false);
        }

        private void ToolbarSettings_ToolbarItemSelected(object sender, ToolbarItemSelectedEventArgs e)
        {
            string ItemName = e.ToolbarItem.Name;

            if (ItemName == "CustomRotate")
            {
                editor.Rotate();
            }
            else if (ItemName == "CustomFlip")
            {
                editor.Flip(FlipDirection.Horizontal);
            }
        }
    }

    public class ImageModel
    {
        public ImageSource Image { get; set; }

        public ImageModel()
        {
            Assembly assembly = typeof(ImageModel).GetTypeInfo().Assembly;
            Image = ImageSource.FromResource("IESample.Buldingimage.jpeg", assembly);
        }
    }
}

